﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _947778_SchedulerWeekDays
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radScheduler1.ActiveViewType = Telerik.WinControls.UI.SchedulerViewType.Month;
        }

        private void radScheduler1_CellFormatting(object sender, Telerik.WinControls.UI.SchedulerCellEventArgs e)
        {
            SchedulerHeaderCellElement headerCell = e.CellElement as SchedulerHeaderCellElement;
            if (headerCell != null)
            {
                string pattern = headerCell.Date.DayOfWeek.ToString().Substring(0, 3);
                if (headerCell.Text.Length != pattern.Length && headerCell.Text.StartsWith(pattern))
                {
                    headerCell.Text = pattern;
                }
            }
        }
    }
}